
                public          BdmTransmitStatus
                public          BdmCtrlBuff,PutBdmBuff,BdmStatus,GetBdmBuff
                public          GprBuff,SprBuff
                public          Source,Destination,DLength
                public          DbugBuff,DbugBuffPtr,DbugBuffEnd
                public          DataPtr,MemAddr,DataLength,FillMemTemp
                public          Value,RegTemp,RegTemp1,RegTemp2,RegTemp3,RegTemp4
                public          TrapEnableData
                public          BrkCause,IntCause
                public          EPOnFlag,RepeatFlag,AbortFlag
                public          FailAddr1,FailAddr2
                public          CMPxBuff,ICTRLBuff,LCTRL1Buff,LCTRL2Buff
                public          COUNTABuff,COUNTBBuff,DERBuff
;**********************************************************
;     FOR BDM CONTROL BUFF
;**********************************************************

BdmCtrlBuff     db      1       dup(?)
PutBdmBuff      db      4       dup(?)
GetBdmBuff      db      4       dup(?)
BdmTransmitStatus  db   2       dup(?)
BrkCause        db      4       dup(?)
IntCause        db      4       dup(?)  ; get it due to int occur during BDM ctrl
TrapEnableData  db      1       dup(?)
;**********************************************************
;     CPU status
;**********************************************************
EPOnFlag        db      1       dup(?)
RepeatFlag      db      1       dup(?)
AbortFlag       db      1       dup(?)
;**********************************************************
;     DATA  BUFFER
;**********************************************************
FillMemTemp     db      4       dup(?)
ReadMemTemp     db      4       dup(?)
Temp            db      4       dup(?)
RegTemp         db      4       dup(?)
RegTemp1        db      4       dup(?)
RegTemp2        db      4       dup(?)
RegTemp3        db      4       dup(?)
RegTemp4        db      4       dup(?)
DataPtr         db      2       dup(?)
DataLength      db      2       dup(?)
Data1Ptr        db      2       dup(?)
Data2Ptr        db      2       dup(?)
MemAddr         db      4       dup(?)          ; for mpc860 memory address
DataBuff        db      1024    dup(?)
Data1Buff       db      1024    dup(?)
Data2Buff       db      1024    dup(?)
FailAddr1       db      4       dup(?)
FailAddr2       db      4       dup(?)

;**********************************************************
;     Development support Reg BUFFER
;**********************************************************
CMPxBuff        db      8*4     dup(?)  ; CMPA-CMPH
;
ICTRLBuff       db      4       dup(?)
LCTRL1Buff      db      4       dup(?)
LCTRL2Buff      db      4       dup(?)
;
COUNTABuff      db      4       dup(?)
COUNTBBuff      db      4       dup(?)
;
DERBuff         db      4       dup(?)
;***********************************************************
;     INSTRUCTION ( to feed mpc860 instruction )
;     parameter area for issue instruction value to bdm port
;               Source      :  for instruction
;               Destination :  for instruction
;***********************************************************
Source          db      4       dup(?)
Destination     db      4       dup(?)
Value           db      4       dup(?)  ; just use 2 byte normaly
DLength         db      4       dup(?)
;
;-------------------------------------
;   instruction opcode area
;-------------------------------------
InstrBegin      label      byte
                ;-------------------------------
                ; this table must be coherence
                ; with  bdm_cmd.tbl
                ;-------------------------------
mtspr           db      4       dup(?)
mfspr           db      4       dup(?)
lbz             db      4       dup(?)
stb             db      4       dup(?)
addi            db      4       dup(?)
lwz             db      4       dup(?)
stw             db      4       dup(?)
rfi             db      4       dup(?)
lha             db      4       dup(?)
sth             db      4       dup(?)
                ;-------------------------------
InstrEnd        label      byte
InstrLength     equ     InstrEnd-InstrBegin

;**********************************************************
;     REGISTER
;**********************************************************
GprBuff         db      32*4    dup(?)          ; for r0-r31
SprBuff         db      1
;**********************************************************
;     DEBUG BUFFER
;**********************************************************

DbugBuffPtr     db      2       dup(?)
DbugBuff        db      6*1000  dup(?)
DbugBuffEnd     label   byte
